Subject: Re: Error 0 in Bash 2.01 despite my attempts
From: [email-masked]

18 Jan 1998 11:09:57 -0800
Message-ID: <[email-masked]>
To: [email-masked], Kang Su Gatlin <[email-masked]>

The problem is that the .bashrc script must be unix style.

Use "vim -b" to create it.

Here are my start up scripts:

----------------GNUSTART.BAT-------------------------------
@echo off
echo Starting gnuwin32
TITLE gnuwin32

IF NOT "%GCC_EXEC_PREFIX%" == "" GOTO DONE

SET GCC_EXEC_PREFIX=C:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\
SET PATH=C:\gnuwin32\b18\H-i386-cygwin32\bin;%PATH%
SET HOME=/gnuwin32
SET LOGNAME=%USERNAME%

SET VIM=C:\vim4-6\doc

mkdir \bin \d >nul 2>nul
mount C:\gnuwin32\b18\H-i386-cygwin32\bin /bin
del .bash_history .sh_history >nul 2>nul
:DONE
bash -login

----------------.bash_login created with vim -b-------------------
alias echo='builtin echo -e'
alias cls='cmd /c cls'
alias clear='cls'
alias more='more.com /e'
alias df='cmd /c dir /w | tail -1'
alias vi='/vim-4.6/vim -b'
alias ls='/bin/ls --color=auto'
alias vdir='ls -l'
#alias dir='ls -C'
alias dir='cmd /c dir'
PS1='ADSLAP:$PWD $ '
MAN_PATH=/gnuwin32/man
export PS1 MAN_PATH
echo "bash_login"
___________________ Reply Separator_____________________________
Subject: Error 0 in Bash 2.01 despite my attempts
Author:  Kang Su Gatlin <[email-masked]> at Internet
Date:    15/01/98 11:35 PM

So I have just installed bash with the latest coolview stuff from 
Sergey's site.  I got the error 0 probelm with my .bashrc script so I 
went back and did the following:
I remounted '/' as a binary mount (mount -b d:/ /). 
I tried creating new .bashrc while in bash via: 
bash2.01% echo "HOME=/" > .bashrc

Then I 'source .bashrc', but I still got error 0.
Then I make an empty .bashrc file while in BASH, but I still get the 
same error.

Am I doing something wrong?  Am I still introducing DOS linebreaks 
and not realizing it.

I know this question has been asked several times, but it seems I've 
done all of the suggested things to no avail thus far.

thanks,

KSG
-
For help on using this list (especially unsubscribing), send a message to 
"[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".